# Copyright © 2015-2017 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=6

PYTHON_COMPAT=( python3_4 python3_5 )
inherit distutils-r1

SHA1=f419e6e863af2c87773b829fb5e8ef09797a620a

DESCRIPTION="Portage sync module to generate squashfs repository filesystems"
SRC_URI="http://git.draconx.ca/gitweb/squashmirror.git/snapshot/$SHA1.tar.xz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND=">=sys-apps/portage-2.2.21[$PYTHON_USEDEP]"
DEPEND="$RDEPEND
	dev-python/setuptools[$PYTHON_USEDEP]"

S=$WORKDIR/$SHA1
